<!-- tableau liste plans -->
<!-- TODO: add role display view control -->
<div class="main-container">
  <div class="dashboard-title d-flex flex-row align-items-center  p-5">
    <div class="dropdown" *ngIf="loggedInUser.role?.id != 4">
      <button class="btn dropdown-toggle pe-3"
              type="button"
              id="dropdownMenuButton1"
              data-bs-toggle="dropdown"
              aria-expanded="false">
        <svg id="dots" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 29.96 122.88">
          <defs>
            <style>.cls-1{fill-rule:evenodd;}</style>
          </defs>
          <title>3-vertical-dots</title>
          <path class="cls-1" d="M15,0A15,15,0,1,1,0,15,15,15,0,0,1,15,0Zm0,92.93a15,15,0,1,1-15,15,15,15,0,0,1,15-15Zm0-46.47a15,15,0,1,1-15,15,15,15,0,0,1,15-15Z"/>
        </svg>
      </button>
      <ul class="dropdown-menu p-0" aria-labelledby="dropdownMenuButton1">
        <li><a class="dropdown-item" href="#">Modifier</a></li>
        <li><a class="dropdown-item" href="#">Supprimer</a></li>
      </ul>
    </div>
    <span>{{ planName | uppercase}}</span>
  </div>
  <div class="table-header container-fluid d-flex ">
    <div class="table-title container-fluid d-flex align-items-center">
      <app-add-groupe-fonctionnalite-popup *ngIf="loggedInUser.role?.id != 4"></app-add-groupe-fonctionnalite-popup>
      <h1 class="text-grey">Groupes de fonctionnalités</h1>
    </div>
    <span class="span-link text-no-wrap d-flex align-items-center" *ngIf="loggedInUser.role?.id != 4" (click)="redirect('gestionnaire-de-groupes-de-fonctionnalites', groupePlan)"
       style="cursor: pointer;">
      Gestionnaire de Groupes de fonctionnalités</span>
  </div>
<!--##############################################################################""-->
<!--Add the search bar-->

<div class="m-2 d-flex">
  <button class="btn btn-outline-secondary me-2" type="button"
  data-bs-toggle="modal" data-bs-target="#filterRecherche">Filtre</button>
  <form class="d-flex"   >
    <input (ngModelChange)="search(key.value)" #key="ngModel" ngModel name="key" class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
  </form>
  </div>


    <!-- Modal -->

    <form [formGroup]="form" (ngSubmit)="submit()" >
  <div class="modal fade" id="filterRecherche" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Filtre de recherhce</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
          </div>
          <div class="modal-body">

          <div class="btn-group " role="group" aria-label="Basic radio toggle button group">
              <div class="me-2 ms-2">
                  <input formControlName="choix" value="actif" name="choix" type="radio" class="btn-check"  id="btnradio1" autocomplete="off" checked>
                  <label class="btn btn-outline-danger" for="btnradio1">Actif</label>
              </div>
              <!-- <div class="me-2 ms-2">
                  <input formControlName="choix" value="inactif" name="choix" type="radio" class="btn-check" name="btnradio" id="btnradio2" autocomplete="off">
                  <label class="btn btn-outline-secondary" for="btnradio2">Inactif</label>
              </div> -->
              <div class="me-2 ms-2" >
                <input formControlName="choix" value="brouillon" name="choix" type="radio" class="btn-check"  id="btnradio3" autocomplete="off">
                <label class="btn btn-outline-warning" for="btnradio3">Brouillon</label>
            </div>
              <div class="me-2 ms-2">
                <input formControlName="choix" value="aucun" name="choix" type="radio" class="btn-check"  id="btnradio4" autocomplete="off">
                <label class="btn btn-outline-primary" for="btnradio4">Aucun</label>
            </div>
          </div>

          </div>
            <!-- filtre par periodicité-->
        <div>
          <label for="periodicite">Choisir la periodicité : </label>
          <input formControlName="periodicite" type="number" min="0" id="periodicite" >
        </div>

          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            <button type="submit" class="btn btn-primary" data-bs-dismiss="modal">Save changes</button>
          </div>
        </div>
      </div>
    </div>
  </form>

<!------------------>

  <div class="table-container table-responsive">
    <table class="table table-striped text-grey">
      <caption>Tableau des groupes de fonctionnalités</caption>
      <thead>
      <tr>
        <th class="center sm" scope="col">#</th>
        <th class="center sm" scope="col">Status</th>
        <th scope="col">Intitulé</th>
        <th class="col" scope="col">Plan</th>
        <th class="center sm" scope="col">Périodicité</th>
        <th class="center sm" scope="col">Aperçu</th>

      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let groupe of groupes; index as index "
          id="{{ groupe.id }}">
        <th scope="row"
            class="center sm text-grey"
            *ngIf="!groupe.archive">{{ groupe.id }}</th>
        <td class="text-grey justify-content-center"
            (click)="redirect('dashboard-groupe', groupe)"
            style="cursor: pointer;"
            *ngIf="!groupe.archive">
          <span *ngIf="groupe.draft"
                class="draft status d-flex align-items-center" >brouillon</span>
          <span *ngIf="!groupe.archive && !groupe.draft"
                class="actif status d-flex align-items-center">actif</span>
          <span *ngIf="groupe.archive && !groupe.draft"
                class="inactif status d-flex align-items-center">inactif</span>
        </td>
        <td class="text-grey"
            (click)="redirect('dashboard-groupe', groupe)"
            style="cursor: pointer;"
            *ngIf="!groupe.archive">
           {{ groupe.nom }}
        </td>
        <td class="text-grey" *ngIf="!groupe.archive">{{ planName }}</td>
        <td class="center sm text-grey"
            (click)="redirect('dashboard-groupe', groupe)"
            style="cursor: pointer;"
            *ngIf="!groupe.archive">
          {{ groupe.periodicite }}</td>
        <!--
        <td id="version{{ plan.plan_id }}">{{ plan.projet.version }}</td>
        -->
        <td id="aperçu{{ groupe.id }}}"
            (click)="onClick($event, groupe)"
            style="cursor: pointer;"
            class="center sm text-grey"
            *ngIf="!groupe.archive">
          <img src="../../../assets/16x16.png" alt="eye-icon">
        </td>
      </tr>
      <tr *ngIf="!groupes?.length">
        <td colspan="6" style="text-align: center">Aucun plan à afficher</td>
      </tr>
      </tbody>
    </table>
  </div>
</div>

<!-- Modal Plan-->
<div class="modal" id="myModal" [style.display]="showModal ? 'block' : 'none'">
  <div class="modal-dialog">
    <div class="modal-content">
      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Détails du Groupe de fonctionnalités :</h4>
        <button type="button" class="close" data-dismiss="modal" (click) = "hide()">&times;</button>
      </div>
      <!-- Modal body -->
      <div class="modal-body">
        <p>Goupe Id : {{ groupeId }}</p>
        <p>Intitulé : {{ groupeNom }}</p>
        <p *ngIf="groupePeriodicite">Périodicité : {{ groupePeriodicite }}</p>
        <p *ngIf="!groupePeriodicite">Périodicité : indéterminée</p>

        <!--
        <p>Version : {{ planProjet.version }}</p>
        -->
      </div>
      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal" (click) = "hide()">Close</button>
      </div>
    </div>
  </div>
</div>
